.left-header
  ul.elementor-icon-list-items
  li.elementor-icon-list-item
  span.elementor-icon-list-text {
  background-color: #9ECDFB30;
  padding: 12px;
  border-radius: 50%;
  width: 50px;
  height: 50px;
  display: flex;
  align-items: center;
  justify-content: center;
  color: #9ECDFB;
  font-weight: 500;
}

.contact-details .elementor-icon svg path {
  fill: #9ECDFB;
}

.left-header a.elementor-icon svg path {
  fill: #333333;
}

.left-header .elementor-icon-wrapper {
  display: flex;
  align-items: center;
  justify-content: center;
}

.slider-home {
  position: relative;
}

.slider-home:after {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  height: 100%;
  width: 100%;
  /* background: linear-gradient(204deg, #333333, #333333 6%, transparent 37%),
    linear-gradient(41deg, #1F8D44 3%, transparent 52%); */

  background: linear-gradient(
      0deg,
      rgba(0, 0, 0, 0.4) 0%,
      rgba(0, 0, 0, 0.4) 100%
    ),
    linear-gradient(0deg, rgba(0, 0, 0, 0) 0%, rgba(0, 0, 0, 0.3) 88.98%);
  z-index: 0;
}

/*Card Slider*/

.carousel-slider {
  width: 100%;
  max-width: 100vw;
  padding: 2rem 0;
}

.carousel-slider .swiper-wrapper {
  display: flex;
  align-items: center;
  max-height: 400px;
  overflow: visible !important;
}

.carousel-slider .swiper-slide {
  width: clamp(293px, 15vw, 293px);
  height: clamp(350px, 15vw, 493px);
  aspect-ratio: 1 / 1;
  padding: 1rem;
  display: flex;
  justify-content: center;
  align-items: center;
  background: #e4e4e700;
  opacity: 0 !important;
  border-radius: 10px;
  position: relative;
  padding: 25px;
}

.carousel-slider .swiper-slide.swiper-slide-next,
.carousel-slider .swiper-slide.swiper-slide-prev {
  background: #e4e4e7;
  opacity: 1 !important;
}

.carousel-slider .swiper-slide.swiper-slide-active {
  background: #ffffff;
  /* box-shadow: 0 0 25px 2px rgba(255, 255, 255, 0.7); */
  opacity: 1 !important;
}

.carousel-slider .item-content {
  position: relative;
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  color: #fff;
}

.progress-bar {
  position: relative;
  height: 8px;
  background: #e5e7eb;
  border-radius: 30px !important;
  width: 100%;
}

.inner-progress-bar {
  position: absolute;
  left: 0;
  top: 0;
  height: 100%;
  width: 0%;
  border-radius: 30px;
  background: #002147;
  transition: width 3000ms linear;
}

.intem-content-button .btn-svg svg {
  height: 35px;
  width: 35px;
}

.intem-content-button {
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 20px;
  position: relative;
}

.intem-content-button .btn-svg svg path {
  fill: #9ECDFB;
}

.carousel-slider .item-content .intem-content-title h3 {
  font-size: 18px;
  color: #333333;
  font-family: "Inter", Sans-serif !important;
  font-weight: 600;
  line-height: 28px;
}

.intem-content-button .btn-svg {
  background: #9ECDFB30;
  width: 50px;
  height: 50px;
  border-radius: 50%;
}

.intem-content-button .btn-svg svg {
  width: 50px;
  height: 50px;
  padding: 10px;
  transform: rotate(-45deg);
}

a.item-content-link {
  position: relative;
  overflow: hidden;
  display: flex;
  flex-direction: column;
  gap: 10px;
}

a.item-content-link .intem-content-title {
  height: 55px;
  display: flex;
  align-items: center;
}

a.item-content-link .intem-content-img img {
  height: 167px;
  width: 100%;
  object-fit: cover;
  object-position: center;
  border-radius: 10px;
}

.swiper-slide .intem-content-button .progress-bar {
  opacity: 0;
}

.swiper-slide.swiper-slide-active .intem-content-button .progress-bar {
  opacity: 1;
}

.carousel-slider .swiper-button-next,
.carousel-slider .swiper-button-prev {
  color: white;
}

.carousel-slider .swiper-slide:hover .intem-content-button .btn-svg {
  background: #9ECDFB;
}

.carousel-slider .swiper-slide .intem-content-button .btn-svg {
  transition: 0.3s ease-in-out;
}

.carousel-slider .swiper-slide:hover .intem-content-button .btn-svg path {
  fill: white;
}

.carousel-slider .swiper-slide:hover .intem-content-img img {
  transform: scale(1.1);
}

.carousel-slider .swiper-slide .intem-content-img img {
  transition: 0.3s ease-in-out;
}

.carousel-slider .swiper-slide .intem-content-img {
  overflow: hidden;
  border-radius: 10px;
}

.contact-project .elementor-icon {
  width: 50px;
  height: 50px;
  background: #9ECDFB30;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 50%;
}

.contact-project .elementor-icon svg path {
  fill: #9ECDFB;
}

.projects-home .swiper-pagination {
  position: absolute;
  top: auto !important;
  bottom: -100px !important;
  border-radius: 20px !important;
  overflow: hidden !important;
}

.projects-home span.swiper-pagination-progressbar-fill {
  border-radius: 50px !important;
}

.single-post-slide .elementor-swiper-button {
  width: 40px;
  height: 40px;
  background-color: #9ECDFB;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 50%;
}

.single-post-slide .elementor-swiper-button.elementor-swiper-button-prev svg {
  transform: rotate(180deg) !important;
}

.single-post-template:hover .contact-project .elementor-icon {
  transition: 0.3s ease-in-out;
}

.single-post-template .contact-project .elementor-icon {
  transform: rotate(-45deg);
}

.single-post-template:hover .contact-project .elementor-icon {
  transform: rotate(0) !important;
}

.single-post-template:hover .contact-project .elementor-icon {
  transition: 0.3s ease-in-out;
}

.single-post-template:hover .contact-project .elementor-icon {
  background: #9ECDFB;
}

.single-post-template:hover .contact-project .elementor-icon svg path {
  fill: white;
}

.single-post-template {
  transition: transform 0.5s ease;
}

.single-post-template {
  position: relative;
  overflow: hidden;
}

.single-post-template:after {
  /* background: rgba(0, 0, 0, 0.4); */
  background: linear-gradient(0deg, #000000ba 27%, hsla(0, 0%, 100%, 0) 56%);
  position: absolute;
  content: "";
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  z-index: 0;
  border-radius: 20px;
}

.our-services {
  position: relative;
}

.our-services:after {
  content: "";
  position: absolute;
  top: 0px;
  left: 0px;
  height: calc(100% + 2rem);
  z-index: -1;
  pointer-events: none;
  background-image: radial-gradient(#e5e7e9 2px, transparent 0);
  background-size: 30px 30px;
  background-position: -18px 0;
  width: 100%;
  clip-path: polygon(
    0% 0%,
    0% 100%,
    20% 100%,
    20% 0,
    80% 0,
    80% 100%,
    100% 100%,
    100% 0%
  );
}

.cta-cemex {
  position: relative;
}

.cta-cemex:after {
  content: "";
  pointer-events: none;
  position: absolute;
  bottom: 0;
  left: 0;
  z-index: 1;
  width: 100%;
  height: 100%;
  background: linear-gradient(0deg, rgba(0, 0, 0, 0.75), transparent);
}

.hovered-effect .elementor-widget-container {
  overflow: hidden;
  border-radius: 20px;
}

.hovered-effect .elementor-widget-container img.active {
  transform: scale(1.1);
}

.hovered-effect .elementor-widget-container img {
  transition: 0.5s ease-in-out;
  overflow: hidden;
}

/*Custom Gallery*/

.gallery-single-servize .gallery-item--more {
  position: relative;
}

.gallery-single-servize .gallery-item--more .overlay {
  position: absolute;
  inset: 0;
  background: rgba(0, 0, 0, 0.6);
  color: #fff;
  font-size: 18px;
  font-weight: bold;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.gallery-single-servize .gallery {
  display: grid !important;
  grid-template-columns: repeat(2, 1fr) !important;
  grid-template-rows: repeat(2, 1fr) !important;
  grid-column-gap: 30px !important;
  grid-row-gap: 30px !important;
}

.gallery-single-servize .gallery figure.gallery-item:first-of-type {
  grid-area: 1 / 1 / 3 / 2 !important;
}

.gallery-single-servize .gallery figure.gallery-item:last-of-type {
  grid-area: 2 / 2 / 3 / 3 !important;
}

.gallery-single-servize .gallery figure.gallery-item:nth-child(2) {
  grid-area: 1 / 2 / 2 / 3 !important;
}

.gallery-single-servize .gallery figure.gallery-item:first-of-type img {
  height: 660px;
  object-fit: cover;
  width: 100%;
}

.gallery-single-servize .gallery figure.gallery-item:nth-child(2) img {
  width: 100%;
  object-fit: cover;
  height: 315px;
}

.gallery-single-servize .gallery figure.gallery-item img {
  border-radius: 20px;
  height: 313px;
  width: 100%;
  object-fit: cover;
  display: block;
}

.single-projects .dialog-type-lightbox {
  display: none !important;
}

.single-projects .dialog-lightbox-widget {
  display: none !important;
}

.overlay.view-more-trigger {
  display: flex;
  flex-direction: column;
}

a.video-thumbnail-img {
  position: relative;
  display: block;
  overflow: hidden;
}

a.video-thumbnail-img .video-play-btn {
  position: absolute;
  z-index: 9;
  width: 60px;
  height: 60px;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  bottom: auto;
  background: #9ECDFB30;
  padding: 18px;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  transition: 0.3s ease-in-out;
}

a.video-thumbnail-img img.img-thumbnail {
  height: 500px;
  width: 100%;
  object-fit: cover;
  border-radius: 30px;
  display: block;
}

a.video-thumbnail-img .video-play-btn svg path {
  fill: #9ECDFB !important;
}

a.video-thumbnail-img:after {
  position: absolute;
  content: "";
  width: 100%;
  height: 100%;
  background: #00000057;
  left: 0;
  top: 0;
  border-radius: 30px;
}

a.video-thumbnail-img:hover .video-play-btn {
  background: #9ECDFB;
}

a.video-thumbnail-img:hover .video-play-btn svg path {
  fill: white !important;
}

.overlay.view-more-trigger {
  font-weight: 500;
  font-family: "Inter";
}

.single-service .contact-project .elementor-icon {
  background: #9ECDFB;
}

.single-service .contact-project .elementor-icon svg path {
  fill: white;
}

.single-service .contact-project .elementor-icon {
  transform: rotate(-45deg);
}

.single-service:hover .contact-project .elementor-icon {
  transform: rotate(0);
}

.single-service .elementor-icon-box-description {
  display: -webkit-box !important;
  font-size: 15px !important;
  overflow: hidden;
  -webkit-line-clamp: 3 !important;
  -webkit-box-orient: vertical;
  text-overflow: ellipsis;
}

.search-template button.e-search-submit {
  margin: 0 !important;
}

.search-template button.e-search-submit svg path {
  fill: #ced1d9;
}

.search-template svg.e-font-icon-svg {
  right: 20px !important;
}

.header-lang .wpml-ls-link {
  background-color: #9ECDFB30;
  padding: 12px;
  border-radius: 50%;
  width: 50px;
  height: 50px;
  display: flex;
  align-items: center;
  justify-content: center;
  color: #9ECDFB !important;
  font-weight: 600;
}

.project-status svg path {
  fill: #9ECDFB;
}

.icon-white-project svg path {
  fill: white;
}

.project-description-info span.elementor-icon-list-text span {
  font-size: 20px;
  font-weight: 400;
  line-height: 0;
}

.project-description-info span.elementor-icon-list-text {
  line-height: 40px;
}

.cta-single-project .elementor-cta__bg.elementor-bg {
  border-top-left-radius: 30px;
  border-bottom-left-radius: 30px;
}

.cta-single-project .elementor-cta__content {
  border-top-right-radius: 30px;
  border-bottom-right-radius: 30px;
}

.image-box-sngle-project {
  position: relative;
}

.image-box-sngle-project:after {
  background: linear-gradient(180deg, transparent, #2f4858);
  bottom: 0;
  content: "";
  height: 100% !important;
  height: 50%;
  left: 0;
  mix-blend-mode: multiply;
  position: absolute;
  top: 0;
  top: unset;
  transition: all 0.3s ease-out;
  width: 100%;
  z-index: 0;
}

.project_details_single-project ul {
  list-style: none;
  margin: 0;
  padding: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 50px;
  position: relative;
}

.project_details_single-project ul .title {
  color: white;
  font-size: 50px;
  font-weight: 700;
  text-align: center;
}

.project_details_single-project ul .subtitle {
  color: white;
  text-align: center;
  font-size: 20px;
}

.project_details_single-project ul li {
  position: relative;
}

.project_details_single-project ul li:after {
  content: "";
  position: absolute;
  top: 0;
  left: auto;
  background-color: white;
  height: 100%;
  width: 1px;
  right: calc(-50px / 2);
}

.project_details_single-project ul li:last-of-type:after {
  display: none;
}

.twae-wrapper .twae-label-small {
  word-break: break-word;
  overflow-wrap: break-word;
  text-wrap: wrap !important;
  line-height: 30px !important;
  font-size: 20px !important;
}

.green-text .elementor-widget-container b {
  color: #002147;
}

@media (max-width: 1025px) {
  .elementor-menu-toggle {
    padding: 0 !important;
  }

  span.elementor-menu-toggle__icon--close svg,
  span.elementor-menu-toggle__icon--open svg {
    display: flex;
  }

  .left-header
    ul.elementor-icon-list-items
    li.elementor-icon-list-item
    span.elementor-icon-list-text {
    width: 40px;
    height: 40px;
  }

  .single-post-slide .elementor-swiper-button {
    width: 50px !important;
    height: 50px !important;
  }

  .projects-home.our-partners .swiper-pagination {
    bottom: -35px !important;
  }

  .elementor-nav-menu__container {
    position: absolute !important;
    width: 100vw !important;
    height: 100vh;
    margin: 0 !important;
    top: -100px !important;
    background: #ffffff !important;
    padding: 140px 0px !important;
    z-index: 99;
    border-radius: 0 !important;
  }

  .elementor-menu-toggle {
    z-index: 9999;
  }

  .elementor-nav-menu__container ul.elementor-nav-menu li.current-menu-item a {
    background: none !important;
  }

  .logo-wrapper {
    z-index: 9999 !important;
  }

  .elementor-menu-toggle.elementor-active svg {
    font-size: 30px !important;
  }

  .elementor-nav-menu--dropdown a {
    padding-top: 15px !important;
    padding-bottom: 15px !important;
  }

  input[type="search"] {
    -webkit-appearance: none !important;
    background: transparent !important;
  }

  .gallery-single-servize .gallery figure.gallery-item:nth-child(2) img {
    height: 150px;
  }

  .gallery-single-servize .gallery figure.gallery-item img {
    height: 150px;
  }

  .gallery-single-servize .gallery figure.gallery-item:first-of-type img {
    height: 310px;
  }

  .gallery-single-servize .gallery {
    grid-column-gap: 10px !important;
    grid-row-gap: 10px !important;
  }

  a.video-thumbnail-img img.img-thumbnail {
    height: 350px;
  }

  a.video-thumbnail-img .video-play-btn svg {
    width: 60px;
    height: 60px;
  }

  .gallery-single-servize .gallery figure.gallery-item:first-of-type {
    grid-area: 1 / 1 / 2 / 3 !important;
  }

  .gallery-single-servize .gallery figure.gallery-item:nth-child(2) {
    grid-area: 2 / 1 / 3 / 2 !important;
  }

  .gallery-single-servize .gallery {
    grid-template-columns: repeat(2, 1fr) !important;
    grid-template-rows: repeat(1, 1fr) !important;
  }

  .project_details_single-project ul {
    flex-direction: column;
  }
}

@media (max-width: 767px) {
  .project-description-info ul li::after {
    opacity: 0;
  }

  .project-description-info ul.elementor-icon-list-items {
    flex-direction: row;
    gap: 20px;
  }

  .cta-single-project .elementor-cta__bg.elementor-bg {
    border-bottom-left-radius: 0;
    border-top-right-radius: 20px;
  }

  .cta-single-project .elementor-cta__content {
    border-top-right-radius: 0;
    border-bottom-left-radius: 30px;
  }

  .twae-arrow {
    display: none !important;
  }
}
